API Documentation
<access-service>/api/v1/groups/{groupId}/users

URL structure

https://access-service.xy-company.com/api/v1/groups/{groupId}/users

where {groupId} is the ID of a group.

Supported methods and overview

  • GET - used to retrieve a list of field information for all Covata users who are members of an existing group, based on the group's ID.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of field information for all Covata users who are members of the group whose ID is specified in the URL of this endpoint.

A group's ID can be obtained by calling the GET method of the <access-service>/api/v1/groups API endpoint, which retrieves a list of field information for all existing groups on the Covata Platform.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • items - .
    • email - .
    • firstName - .
    • lastName - .
    • id - .
  • count - .
  • offset - .

    Example (response from ...):